
Figure - Bug #118741
【VC1】【0106】【实车】【EE环境】【副屏】副屏亮度调节功能无效
2023-06-12 14:31 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-12

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: 依赖客户及其供应商问题List

Need_Info: -- Found Version: 106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 屏端控制器版本问题

Description

【环境信息】

EE环境

【前提条件】

整车上电

【操作步骤】

实车调节副屏亮度

【实际结果】

屏幕亮度没有变化，亮度条有改变

【期望结果】

副屏亮度与亮度条显示一致

【备注】

中控88版本时，副屏该功能正常；刷机到90版本后出现该现象；且出现后是必现现象

VIN: LJD8BB3F7P0000384

History

#1 - 2023-06-13 16:44 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CD BSP-杜磊

■ Current conclusion

上层日志未发现异常

■ My analysis

在bug复现时间有多次调节亮度日志打印出来，上层日志并未发现异常

06-12 13:55:10.988  1548  1671 V DisplayPowerController0: Brightness [0.45454547] reason changing to: 'temporary', previous reason: 'manual'.

■ Next action

需要bsp同学进一步分析

#2 - 2023-06-13 18:04 - CD BSP-杜磊
#fn0


- % Done changed from 0 to 20

log.txt中未现异常。

808:01-01 08:04:57.796     0     0 I [    0.945892] [MAX975X: max96755g_probe] INFO begin

815:01-01 08:04:57.796     0     0 I [    1.000936] [MAX975X: max96755x_touch_init] INFO VC1 GPIO Pass

816:01-01 08:04:57.796     0     0 I [    1.001183] [MAX975X: max96755g_probe] INFO successfully

3147:06-12 13:45:48.819     0     0 I [    7.395198] [drm: dsi_ctrl_hw_cmn_video_engine_en] [msm-dsi-info]: DSI_0: MAX975X: Video engine = 1

3148:06-12 13:45:48.819     0     0 I [    7.395672] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

使用V110版本测试，背光调节正常。

#3 - 2023-06-14 17:36 - CD BSP-杜磊

- Description updated

#4 - 2023-06-14 17:56 - CD BSP-杜磊

- File 4.txt added

#5 - 2023-06-14 18:02 - CD BSP-杜磊

通过设置亮度条，并且回读背光寄存器相关的值，发现亮度值为1或者99时，屏幕背光依然没有变化。

17705: 06-14 14:06:14.478     0     0 I [ 3592.855098] [MAX975X: max96755g_dtc_info_show] INFO DTC_Display: Backlight Sta:1, Lvl:99, Grad:1, Lmt:0

17706: 06-14 14:06:14.478     0     0 I [ 3592.855106] [MAX975X: max96755g_dtc_info_show] INFO DTC_Display: Lcm screen_sta:2, video_sta:0x0

18407: 06-14 14:06:32.833     0     0 I [ 3611.211232] [MAX975X: max96755g_dtc_info_show] INFO DTC_Display: Backlight Sta:1, Lvl:1, Grad:1, Lmt:0

18408: 06-14 14:06:32.833     0     0 I [ 3611.211233] [MAX975X: max96755g_dtc_info_show] INFO DTC_Display: Lcm screen_sta:2, video_sta:0x0

尝试换过副屏控制器后，问题同样存在。

Next step:

   此问题可能与屏的硬件相关，需要屏厂做分析

#6 - 2023-06-14 18:14 - CD BSP-杜磊

- Target version set to 依赖客户及其供应商问题List

#7 - 2023-06-19 10:52 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 物联网测试组_TSCD 王维

- % Done changed from 20 to 100

- Root cause set to 屏端控制器版本问题

和客户高平平沟通，此问题为屏端软件问题，客户内部有票跟踪，非副屏控制器问题，需要屏端厂商更新屏端软件。

因此关闭此问题。

#8 - 2023-06-28 17:03 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-28 17:03 - 物联网测试组_TSCD 王维
- Status changed from VERIFIED to CLOSED

Files

log.txt 3.16 MB 2023-06-12 物联网测试组_TSCD 王维

tlog_iov0201017500006162025411a2212290000002461_000546_0612140002.tar.gz28.8 MB 2023-06-12 物联网测试组_TSCD 王维

中科创达软件股份有限公司20230612-142032.mp4 12.5 MB 2023-06-12 物联网测试组_TSCD 王维

4.txt 6.72 MB 2023-06-14 CD BSP-杜磊
